<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_9b1c9897fe9407921b8d9096cb5" . "66c04" => base64_decode("bmV3cy5hZG1p" . "bi50cmFzaC5u" . "ZXdzX2l0ZW0="), "_0c5123aa744f69bbc0e8b3" . "ea2f6e847d" => base64_decode("bG1zZ" . "w=="), "_c73ac93b81fdf08d4c425cd887c" . "8ae49" => base64_decode("VHJhc2hPYmplY3ROZXdzOjpDcmVhdGVGcm9tT2JqZWN0KCkgYWNjZXB0cyBvbmx5IG9iamVjdCBvZiBjbG" . "FzcyBOZXdzSXRlbUJhc2U="), "_d1d66e928f80b" . "4eae4a89463b6d" . "889ec" => base64_decode("dHJpbV9s" . "b25nX3N0" . "cmluZw=="), "_dd0d63494d8d5afb29437ee411ac" . "34d0" => base64_decode("QW5ub" . "3VuY2" . "VtZW5" . "0"), "_a591754a8ddcdbd" . "a9c80f1db4d911e1" . "4" => base64_decode("aXNfbnVsb" . "A=="));
use NewsBrowser;
use NewsItem;
use NewsItemBase;





class TrashObjectNews extends TrashObject
{
    
    
    
    
    
    
    public function __construct($_b15aac3aa29c10ea6d1228f58cb9a7e8 = null)
    {
        $this->aggregation = AGGREGATION_NEWS;
        if (!$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_a591754a8ddcdb" . "da9c80f1db4d911" . "e14"]($_b15aac3aa29c10ea6d1228f58cb9a7e8) && $_b15aac3aa29c10ea6d1228f58cb9a7e8 instanceof NewsItemBase) {
            $this->CreateFromObject($_b15aac3aa29c10ea6d1228f58cb9a7e8);
        }
    }
    
    
    
    
    
    
    
    
    public function CreateFromObject($_b15aac3aa29c10ea6d1228f58cb9a7e8)
    {
        if (!$_b15aac3aa29c10ea6d1228f58cb9a7e8 instanceof NewsItemBase) {
            throw new \Exception($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_c73ac93b81fdf08d4c425cd887" . "c8ae49"]);
        }
        $this->obj_id = $_b15aac3aa29c10ea6d1228f58cb9a7e8->GetId();
        $this->description = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_d1d66e928" . "f80b4eae4a" . "89463b6d88" . "9ec"](\ClaText::BBCode2Plain($_b15aac3aa29c10ea6d1228f58cb9a7e8->GetText()), 300);
        $this->title = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_d1d66e9" . "28f80b4e" . "ae4a8946" . "3b6d889e" . "c"]($_b15aac3aa29c10ea6d1228f58cb9a7e8->GetTitle(), 50);
        $this->orig_location = $_b15aac3aa29c10ea6d1228f58cb9a7e8->is_headline ? $_b15aac3aa29c10ea6d1228f58cb9a7e8->channel_name : $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_dd0d63494d8d5afb29437" . "ee411ac34d0"];
    }
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        $_108bde9814d9d2f78a4fdae9b4d6e3ce = NewsBrowser::Instance();
        if ($_108bde9814d9d2f78a4fdae9b4d6e3ce->DeleteNewsById($this->obj_id, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($_108bde9814d9d2f78a4fdae9b4d6e3ce->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    public function Restore()
    {
        $_108bde9814d9d2f78a4fdae9b4d6e3ce = NewsBrowser::Instance();
        if (!$_108bde9814d9d2f78a4fdae9b4d6e3ce->UndeleteNewsById($this->obj_id)) {
            throw new \Exception($_108bde9814d9d2f78a4fdae9b4d6e3ce->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_9b1c9897fe9407921b8d9096cb5" . "66c04"]);
        
        
    }
}